using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("安全生产指标考核项目表")]
    public class T_PT_ANNUAL_MONOTOR_SUMMARY_DETAIL_CONTENT : MesEntityBase
    {
        [Description("年度监测汇总细表")]
        [DataFieldForeignKey("Nav_SummaryDetail", "Nav_Contents")]
        public Guid MONOTOR_SUMMARY_DETAIL_ID { get; set; }

        [Description("年度监测汇总细表")]
        public virtual T_PT_ANNUAL_MONOTOR_SUMMARY_DETAIL Nav_SummaryDetail { get; set; }

        [Description("顺序")]
        [FormFieldTable]
        [FormFieldQuery]
        public int ROW_NO { get; set; }

        [Description("季度")]
        [FormFieldTable]
        [FormFieldQuery]
        public PTQuarterTypeEnum QUARTER_TYPE { get; set; }

        [Description("安全生产指标考核项目")]
        [FormFieldTable]
        [FormFieldQuery]
        public string NAME { get; set; }
        [Description("分数")]
        [FormFieldTable]
        [FormFieldQuery]
        public decimal? SCORE { get; set; }
        [Description("考核认定评分办法")]
        [FormFieldTable]
        [FormFieldQuery]
        public string METHOD { get; set; }
        [Description("考核检查情况")]
        [FormFieldTable]
        [FormFieldQuery]
        public string CONTENT { get; set; }
        [Description("改进措施")]
        [FormFieldTable]
        [FormFieldQuery]
        public string MEASURES { get; set; }
        [Description("得分")]
        [FormFieldTable]
        [FormFieldQuery]
        public decimal? RESULT_SCORE { get; set; }
    }
}
